| The Gaudi Framework v32r1 (f65d50dc)

Classes | Functions
GaudiRoot Namespace Reference

## Classes
class | IOHandler
union | RefAccessor

## Functions
bool | patchStreamers (MsgStream &log)
void | resetLastLink ()
void | pushCurrentDataObject (DataObject **pobjAddr)
void | popCurrentDataObject ()

## Function Documentation

## ◆ patchStreamers()

bool GaudiRoot::patchStreamers | ( | MsgStream & | log | ) |

Definition at line 201 of file RootIOHandler.cpp.

201 {
202 static bool first = true;
203 if ( first ) {
204 first = false;
205 #if ROOT_VERSION_CODE < ROOT_VERSION( 5, 99, 0 )
206 gSystem->Load( "libCintex" );
207 gROOT->ProcessLine( "Cintex::Cintex::Enable()" );
208 gROOT->ProcessLine( "#include <vector>" );
209 gInterpreter->EnableAutoLoading();
210 gInterpreter->AutoLoad( "DataObject" );
211 gInterpreter->AutoLoad( "PoolDbLinkManager" );
212 gSystem->Load( "libGaudiKernelDict" );
213 gSystem->Load( "libGaudiExamplesDict" );
214 #else
215 gInterpreter->EnableAutoLoading();
216 gInterpreter->AutoLoad( "DataObject" );
217 gInterpreter->AutoLoad( "PoolDbLinkManager" );
218 #endif
219
220 bool b1 = makeStreamer<SmartRefBase>( s );
221 bool b2 = makeStreamer<ContainedObject>( s );
222 bool b3 = makeStreamer<pool::Token>( s );
223 return b1 && b2 && b3;
224 }
225 return true;
226 }
CFinViewTest.b1
b1
Definition: CFinViewTest.py:79
CFinViewTest.b2
b2
Definition: CFinViewTest.py:82
gaudirun.s
string s
Definition: gaudirun.py:316

## ◆ popCurrentDataObject()

void GaudiRoot::popCurrentDataObject | ( |  | ) |

Definition at line 38 of file RootIOHandler.cpp.

38 {
39 Gaudi::popCurrentDataObject();
40 resetLastLink();
41 }
Gaudi::popCurrentDataObject
GAUDI_API void popCurrentDataObject()
Definition: RootIOHandler.cpp:38
GaudiRoot::resetLastLink
void resetLastLink()
Definition: RootIOHandler.cpp:30

## ◆ pushCurrentDataObject()

void GaudiRoot::pushCurrentDataObject | ( | DataObject ** | pobjAddr | ) |

Definition at line 34 of file RootIOHandler.cpp.

34 {
35 Gaudi::pushCurrentDataObject( pobjAddr );
36 resetLastLink();
37 }
Gaudi::pushCurrentDataObject
GAUDI_API void pushCurrentDataObject(DataObject **pobjAddr)
Definition: RootIOHandler.cpp:34
GaudiRoot::resetLastLink
void resetLastLink()
Definition: RootIOHandler.cpp:30

## ◆ resetLastLink()

void GaudiRoot::resetLastLink | ( |  | ) |

Definition at line 30 of file RootIOHandler.cpp.

30 {
31 last_link_object = nullptr;
32 last_link_hint = -1;
33 }